#26 new
Kieran P

License SNAFU

Reported by Kieran P | July 30th, 2008 @ 04:56 PM

sam writes:

There seem to be licensing issues with the kete codebase.

First off, very few files have copyright statements in them, which is bad – they should list the copyright holder, years, and include or refer to the license text.

So, if the presence of the “license.txt” in the top level is to be taken to apply to those files, the main part of the distribution is licensed under the terms of the GPLv1. It might be worth getting the Horowhenua Library Trust (or whoever the current copyright holder is) to endorse this to be “or any later version”, as that version is not compatible with the various GPLv2 components.

Then you’ve got a multitude of plugins, many under subtly incompatible licenses.

Most are the MIT disclaimer, which is mostly acceptable (hoping that those that say “under an MIT-style license” mean the X11 license – see http://www.fsf.org/licensing/lic....

The “rico_corner.js” file in the “active_scaffold” plugin is Apache 2.0 license, which is incompatible with the GPL before version 3 – which is a problem because many components which are GPL (including Ruby) do not automatically endorse later versions of the GPL using the words “or any later version”.

One plugin, “bundle_fu”, by Douglas Crockford, specifies that the code should be used for “Good, not evil”, which may contraindicate its use in commerce in most civilised nations.

Many pieces, including the “tiny_mce” plugin, seem to be GPLv2 only.

Any of these issues may be resolved by getting the authors to agree to license them under GPL-compatible terms, or by re-implementing the piece of code.

Comments and changes to this ticket

  • Kieran P

    Kieran P July 30th, 2008 @ 04:56 PM

    walter writes:

    We’ll update the main license to GPL version 2, it was a mistake to have be version 1. If you could re-evaluate how this change effects all the plugins, that would be much appreciated.

    Cheers,

    Walter

  • Kieran P

    Kieran P July 30th, 2008 @ 04:57 PM

    sam writes:

    Other than the bizarre and probably ignorable ‘do no evil’ clause of the Crockford plug-in, the only incompatibility with a GPLv2 license would be the Apache 2.0 component, which is relatively small. It is still advisable to insert copyright notices and disclaimers in most of the files in the repository, especially significant ones. It can also be re-iterated in the README or similar location.

    If you could make it “GPL, version 2 or later”, that would be better; in general the more licenses you grant permission to use, the easier it is to find a valid combination of licenses between linked components. However, that will still not satisfy the license of the various GPLv2-only components used.

    All we really need is permission from the various copyright holders to use the code under the conditions of the “GPLv2 or later”, then the copyright notices can be amended (ideally, with the written proof along the way). Perhaps it’s worth e-mailing them all; the community as a whole needs to sort this stuff out really.

  • Walter McGinnis

    Walter McGinnis September 20th, 2008 @ 04:20 PM

    • Tag changed from licensing to licensing

    I've written the ActiveScaffold project about the rico_corner.js issue. You can see my email here:

    http://groups.google.com/group/a...

    Hopefully we can get specific permission to use that file that allows us to rectify this situation.

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

Kete was developed by Horowhenua Library Trust and Katipo Communications Ltd. to build a digital library of Horowhenua material.

People watching this ticket

Tags

Pages